export declare function exec(log: (_: string) => void, cmds: string[]): string;
export interface NpmInstallArgs {
    packageJsonContents: string;
    LayerName: string;
    FunctionName: string;
    region: string;
    quiet?: boolean;
}
export interface AwsLayerInfo {
    Version: number;
    LayerVersionArn: string;
    LayerName: string;
}
export interface NpmInstallReturn {
    installLog: string;
    layerInfo: AwsLayerInfo;
    zipSize?: number;
}
export declare function npmInstall({ LayerName, packageJsonContents, FunctionName, region, quiet }: NpmInstallArgs): Promise<NpmInstallReturn>;
