import { pubsub_v1 } from "googleapis";
import { Wrapper } from "../wrapper";
export declare const filename: string;
export interface CloudFunctionContext {
    eventId: string;
    timestamp: string;
    eventType: string;
    resource: object;
}
export declare function makeTrampoline(wrapper: Wrapper): {
    trampoline: (data: pubsub_v1.Schema$PubsubMessage, context: CloudFunctionContext) => Promise<void>;
};
